package com.cultural.heritage.model.dto.good;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

@Data
public class GoodAddRequest implements Serializable {


    /**
     * 商品名
     */
    private String name;

    /**
     * 商品类型
     */
    private String type;

    /**
     * 商品图片
     */
    private String goodImg;

    /**
     * 商品简介
     */
    private String intro;

    /**
     * 商品详情简介
     */
    private String introDetail;

    /**
     * 商品详情图片
     */
    private String detailImg;

    /**
     * 商品标签
     */
    private String label;

    /**
     * 商品库存量
     */
    private Integer inventory;

    /**
     * 节日限定序号
     */
    private Integer festivalOrder;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
